Page MenuHomePhabricator

Clean up inappropriate usages of wmg prefix in Reading-web maintained extensions
Closed, ResolvedPublic

Description

This task is similar to T147234, but for a broader set of extensions.

Extensions to check for

  • RelatedArticles
  • Page Previews / Hovercards
  • QuickSurveys
  • PageImages
  • TextExtracts
  • ZeroBanner
  • Cards

Details

Related Gerrit Patches:
operations/mediawiki-config : masterClean up inappropriate usages of wmg

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 4:32 PM

To be clear appropriate usagesinclude:

  • $wmgUseRelatedArticles is valid as there is no global $wgUseRelatedArticles.
  • $wmgUseRelatedArticles and $wmgRelatedArticlesShowInSidebar;are valid as their values change depend on $wmgUseRelatedArticles

Anything that doesn't depend on the value of something else can be shifted to drop the m
It's highly possible in doing this task we discover all use cases are valid.

MBinder_WMF renamed this task from cleanup inappropriate usages of wmg prefix in Reading-web maintained extensions to Clean up inappropriate usages of wmg prefix in Reading-web maintained extensions.Nov 30 2016, 5:12 PM
bmansurov triaged this task as Low priority.Nov 30 2016, 5:14 PM
bmansurov moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Dereckson raised the priority of this task from Low to Medium.May 3 2017, 8:22 PM
Dereckson added a subscriber: Dereckson.

Raising a little bit the priority: technical debt should be at least considered at normal priority.

Sure. We have a lot of technical debt though and not all debt is equal :) fwiw i was hoping to look into this next week anyway. I have a lot of swats to do...

Jdlrobson updated the task description. (Show Details)May 4 2017, 6:39 PM

Current usages that I see:
'wmgUsePopups'
'wmgPopupsBetaFeature'
'wmgMobileFrontend'
wmgEnableTextExtracts
wmgExtractsRemoveClasses
wmgExtractsExtendOpenSearchXml
'wmgZeroBanner
'wmgZeroPortal
wmgMFEditorOptions
wmgUseRelatedArticles
'wmgRelatedArticlesShowInSidebar
wmgRelatedArticlesShowInFooter
wmgRelatedArticlesFooterWhitelistedSkins
wmgUseQuickSurveys
wmgUseWikidataPageBanner

Assuming that appropriate usage is only for things that are not actually config variables (unless noted otherwise) this narrows the audit considerably.

'wmgPopupsBetaFeature' - Looking at that list PopupsBetaFeature depends on the value of UseBetaFeatures so is appropriately used.
wmgExtractsRemoveClasses - looks like this can be removed as dates back to TextExtracts pre-extension loading
wmgExtractsExtendOpenSearchXml - simple boolean. No reason to use wmg
wmgMFEditorOptions - redunant this is true by default
'wmgRelatedArticlesShowInSidebar and wmgRelatedArticlesShowInFooter depend on each other so this makes sense
wmgRelatedArticlesFooterWhitelistedSkins - exists due to T142663

What do you think @Dereckson ?

Change 351922 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Clean up inappropriate usages of wmg

https://gerrit.wikimedia.org/r/351922

@Jdlrobson - not sure why this is in needs analysis. Could you comment?

always read the comments...
https://phabricator.wikimedia.org/T151891#3236606
I'm waiting for some feedback from @Dereckson

Change 351922 merged by jenkins-bot:
[operations/mediawiki-config@master] Clean up inappropriate usages of wmg

https://gerrit.wikimedia.org/r/351922

Jdlrobson removed a project: Patch-For-Review.

This should be done now. Would you mind resolving if you think this looks good?

Mentioned in SAL (#wikimedia-operations) [2017-05-10T13:34:41Z] <hashar@tin> Synchronized wmf-config/CommonSettings.php: Clean up inappropriate usages of wmg - T151891 (duration: 00m 42s)

Mentioned in SAL (#wikimedia-operations) [2017-05-10T13:35:42Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Clean up inappropriate usages of wmg - T151891 (duration: 00m 42s)

Jdlrobson closed this task as Resolved.May 16 2017, 10:27 AM

Please reopen if not done.